Bug 1478479 - RHV: Adapt to qemu-kvm-rhev RHEL 8 packaging layout changes
RHV: Adapt to qemu-kvm-rhev RHEL 8 packaging layout changes
Status: NEW
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: distribution (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity low
: ovirt-4.3.0
: ---
Assigned To: Michal Skrivanek
:
Depends On: 1425820 1478465 1378536
Blocks: 1447694 1447858
  Show dependency treegraph
 
Reported: 2017-08-04 11:56 EDT by Jeff Nelson
Modified: 2017-11-22 02:34 EST (History)
28 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1425820
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Nelson 2017-08-04 11:56:19 EDT
qemu-kvm-rhev packaging is being changed as described in BZ 1425820. We expect this to be a compatible change, but we also think this could give the RHV team an opportunity to improve their packaging as well.

+++ This bug was initially created as a clone of Bug #1425820 +++

We now have modularization of the block layer in QEMU (bug #1378536) and libvirt (bug #1378540), but the QEMU packaging layout in RHEL might need changes for us to fully benefit from the changes.

For example, it should be possible to install QEMU without Gluster or Ceph block drivers (each brings a large number of dependencies).

BTW, I have not investigated this, but I have a report from Peter Krempa (libvirt) that "QEMU still can't be installed without gluster". I'm opening this BZ to request further investigation on what can be improved or changed in our packaging layout.

+++ This bug was initially created as a clone of Bug #1378536 +++

The reason to modularize the block layer in QEMU is to allow smaller/minimal installations of QEMU, with two primary use-cases:

1. Allow the split of the QEMU package, bringing less dependencies to a minimal installation. This is particularly important for the case of remote storage drivers, such as Ceph and Gluster, which usually link to and require external libraries and tools.

2. Faster startup of QEMU, with less drivers to load.

--- Additional comment from Ademar Reis on 2017-03-25 20:16:03 EDT ---

Let's leave this for RHEL-7.5, so we have enough time to test it. We'll also need clones of this BZ for RHV and OSP.

Note You need to log in before you can comment on or make changes to this bug.